Commit 5b56d87f authored by Andreas Fernandez's avatar Andreas Fernandez
Browse files

[BUGFIX] Loosen constraint to guzzlehttp/psr7

The first release of the v2 branch of guzzlehttp/psr7 was in
June 30th 2021, which is around two months from now at the time of
writing this commit message.

Many 3rd party libraries are not compatible to version 2.0 of
guzzlehttp/psr7 yet, which makes updates impossible without using nasty
hacks.

For this reason, the constraint is loosened to allow both, 1.7 and 2.0
of guzzlehttp/psr7.

Executed commands:

  composer req guzzlehttp/psr7:"^1.7.0 || ^2.0"
  composer req guzzlehttp/psr7:"^1.7.0 || ^2.0" -d typo3/sysext/core --no-update

Resolves: #95136
Related: #94454
Releases: master
Change-Id: Ic1efe3da5f6aede215720e7a86ab24475922f0a2
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/70955


Reviewed-by: Oliver Klee's avatarOliver Klee <typo3-coding@oliverklee.de>
Reviewed-by: default avatarRiny van Tiggelen <info@online-gamer.nl>
Reviewed-by: Wouter Wolters's avatarWouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Benni Mack's avatarBenni Mack <benni@typo3.org>
Reviewed-by: Frank Nägler's avatarFrank Nägler <frank.naegler@typo3.com>
Reviewed-by: Andreas Fernandez's avatarAndreas Fernandez <a.fernandez@scripting-base.de>
Tested-by: core-ci's avatarcore-ci <typo3@b13.com>
Tested-by: Benni Mack's avatarBenni Mack <benni@typo3.org>
Tested-by: Frank Nägler's avatarFrank Nägler <frank.naegler@typo3.com>
Tested-by: Andreas Fernandez's avatarAndreas Fernandez <a.fernandez@scripting-base.de>
parent 287feb00
......@@ -4,7 +4,7 @@
"Read more about it at https://getcomposer.org/doc/01-basic-usage.md#installing-dependencies",
"This file is @generated automatically"
],
"content-hash": "8f56efb446658bad44d8fc597aaa3264",
"content-hash": "af73eca4ed61e19ecc6dc80c960e286a",
"packages": [
{
"name": "bacon/bacon-qr-code",
......
......@@ -37,7 +37,7 @@
"egulias/email-validator": "^3.1",
"enshrined/svg-sanitize": "^0.14.1",
"guzzlehttp/guzzle": "^7.3.0",
"guzzlehttp/psr7": "^2.0",
"guzzlehttp/psr7": "^1.7.0 || ^2.0",
"nikic/php-parser": "^4.10.4",
"psr/container": "^1.1 || ^2.0",
"psr/event-dispatcher": "^1.0",
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment